package io.renren.modules.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import io.renren.common.utils.PageUtils;
import io.renren.modules.business.entity.BusinessPlanTwoEntity;

import java.util.List;
import java.util.Map;

/**
 * 两周计划
 *
 * @author jiaqiao
 * @email jiaqiao@163.com
 * @date 2022-10-11 11:40:25
 */
public interface BusinessPlanTwoService extends IService<BusinessPlanTwoEntity> {

    PageUtils queryPage(Map<String, Object> params);

    /**
     * 根据时间区间获取列表
     * @param params
     * @return
     */
    List<BusinessPlanTwoEntity> queryList(Map<String, Object> params);

    BusinessPlanTwoEntity getMaxTime();

    /**
     * 新保存  此方法包含  新增和删除需要传入 saveIds 和 deleteIds
     */
    void newSave(Map<String, Object> params);
}

